nod684 Posted February 6, 2015 Posted February 6, 2015 (edited) hi all, can someone help me make this process shorter... what i do is like this: - select an attributed block - insert a field - in the Field Names i select object then i choose another attributed block for the value or viewport for the custom scale i need - in the Object Type Property I select value or custom scale - in the format I select uppercase or 1: # (if i select custom scale) then click ok. Edited February 6, 2015 by nod684 Quote
rkmcswain Posted February 6, 2015 Posted February 6, 2015 If you get no takers here, you might find some one to help (for free or a fee) over here: http://www.theswamp.org/index.php?board=2.0 Quote
Lee Mac Posted February 6, 2015 Posted February 6, 2015 You could create a program using my Quick Field utility to perform this task. 2 Quote
nod684 Posted February 9, 2015 Author Posted February 9, 2015 You could create a program using my Quick Field utility to perform this task. hi lee, can you help me with the format for the value? im trying to incorporate it in your QuickField lsp... (see attached) Quote
Lee Mac Posted February 9, 2015 Posted February 9, 2015 hi lee, can you help me with the format for the value?im trying to incorporate it in your QuickField lsp... For the property & formatting code shown in your image, you would need to use: (defun c:test ( ) (LM:QuickField "TextString" "%tc1" 1)) However, since the program doesn't allow you to select nested objects (such as attributes) by default, you will also need to change line 248 from: (list 'if '(setq ent (LM:SelectIfHasProp prop entsel)) to: (list 'if '(setq ent (LM:SelectIfHasProp prop [color=red]n[/color]entsel)) 1 Quote
nod684 Posted February 10, 2015 Author Posted February 10, 2015 For the property & formatting code shown in your image, you would need to use: (defun c:test ( ) (LM:QuickField "TextString" "%tc1" 1)) However, since the program doesn't allow you to select nested objects (such as attributes) by default, you will also need to change line 248 from: (list 'if '(setq ent (LM:SelectIfHasProp prop entsel)) to: (list 'if '(setq ent (LM:SelectIfHasProp prop [color=red]n[/color]entsel)) thanks Lee, will try this one out EDIT : was able to select the nested attribute to the target attribute but its displaying as #### Quote
Lee Mac Posted February 10, 2015 Posted February 10, 2015 thanks Lee, will try this one out EDIT : was able to select the nested attribute to the target attribute but its displaying as #### Does a regen cause it to display correctly? 1 Quote
nod684 Posted February 11, 2015 Author Posted February 11, 2015 (edited) Does a regen cause it to display correctly? yes it did. Thank you.! one more thing if its not too much to ask. what format will i use if i want to insert the scale of the viewport thru field? Edited February 11, 2015 by nod684 Quote
Lee Mac Posted February 11, 2015 Posted February 11, 2015 yes it did. Thank you.! You're welcome! one more thing if its not too much to ask.what format will i use if i want to insert the scale of the viewport thru field? I'm happy to guide you, but could you please post a clearer image of the Field dialog, as the image that you have attached is too pixelated to decipher the field code - ensure the image is saved as a vector format such as png/gif and is not larger than 800x600 otherwise the forum will automatically convert the image to a jpg and scale it down. 1 Quote
nod684 Posted February 12, 2015 Author Posted February 12, 2015 You're welcome! I'm happy to guide you, but could you please post a clearer image of the Field dialog, as the image that you have attached is too pixelated to decipher the field code - ensure the image is saved as a vector format such as png/gif and is not larger than 800x600 otherwise the forum will automatically convert the image to a jpg and scale it down. sorry about that...here is a bigger image and heres the field expression %<\AcObjProp Object(%<\_ObjId 8796086054176>%).CustomScale \f "1:%lu2%ct1%qf2816">% Quote
Lee Mac Posted February 12, 2015 Posted February 12, 2015 Thank you - in that case you could define a program with the following parameters: (defun c:test ( ) (LM:QuickField "CustomScale" "1:%lu2%ct1%qf2816" 1)) Do you see the pattern and understand how the sections are taken from the field code? 1 Quote
nod684 Posted February 13, 2015 Author Posted February 13, 2015 Thank you - in that case you could define a program with the following parameters: (defun c:test ( ) (LM:QuickField "CustomScale" "1:%lu2%ct1%qf2816" 1)) Do you see the pattern and understand how the sections are taken from the field code? thanks a lot for the help Lee. I appreciate it a lot. yes my mistake...i fo like this : (defun c:test ( ) (LM:QuickField "Scale" "CustomScale" "1:%lu2%ct1%qf2816" 1)) again thank you! and thanks too to pBe fo the vla-regen cheers guys! Quote
catopal Posted November 13, 2015 Posted November 13, 2015 Hi Lee, How can I get dynamic block user parameter value with QuickField lisp. ? %<\AcObjProp Object(%<\_ObjId 140694963280112>%).Parameter(96).UpdatedDistance \f "%lu2%pr0">% Quote
Lee Mac Posted November 13, 2015 Posted November 13, 2015 Hi Lee, How can I get dynamic block user parameter value with QuickField lisp. ? %<\AcObjProp Object(%<\_ObjId 140694963280112>%).Parameter(96).UpdatedDistance \f "%lu2%pr0">% This is unfortunately not possible using my Quick Field program. Quote
vtb_bmstu Posted August 21, 2019 Posted August 21, 2019 Hi everyone! Could someone write a LISP for copying text contents from text 1 to text 2, and when the contents of text 1 change, then the contents of text 2 will automatically update contents from text 1! Thank you Quote
Lee Mac Posted August 21, 2019 Posted August 21, 2019 (edited) 10 hours ago, vtb_bmstu said: Could someone write a LISP for copying text contents from text 1 to text 2, and when the contents of text 1 change, then the contents of text 2 will automatically update contents from text 1! Thank you You can use my existing Quick Field program for this task, defining a custom command such as: (defun c:tcopy ( ) (LM:quickfield "Textstring" "" 1)) Edited August 21, 2019 by Lee Mac 2 1 Quote
Polisson Posted September 27, 2019 Posted September 27, 2019 Yes! I've figured it out with your great Quick Field, but with little help of your other post: Thank you! For one of types of my projects, that is great! But today I faced with small complication. Situation: I have dozens of projects with dozens of block in each (few types). These blocks has 3 or 4 attributes, but each attribute has few data types in it separated with comas. Blocks acts like annotation objects and at the end are exported to tables/excel sheets etc. I need to place field with length value but only in very particular place of string in attribute. I know, that is achievable by formatting field, but it's to difficult with many block and types of data in it. Best idea to manage my problem is to make similar lisp as your QuickField but instead of replacing attribute content it would copy field code into clipboard, so it would be pasted in right way while editing attribute. Thanks again. Would you Lee and guys point me the way to place field code to clipboard? Quote
mark_kostic Posted March 29, 2021 Posted March 29, 2021 On 2/6/2015 at 9:28 PM, Lee Mac said: You could create a program using my Quick Field utility to perform this task. Hi Lee, can you please help me to implement next one in the quickfield: Quote
tombu Posted March 29, 2021 Posted March 29, 2021 1 hour ago, mark_kostic said: Hi Lee, can you please help me to implement next one in the quickfield: https://www.cadtutor.net/forum/topic/72618-current-drawings-path-and-filename-in-autolisp/?tab=comments#comment-578995 1 Quote
Lee Mac Posted March 29, 2021 Posted March 29, 2021 5 hours ago, mark_kostic said: Hi Lee, can you please help me to implement next one in the quickfield: My QuickField application is designed to generate fields which reference object properties, and so may only be used to generate field expressions found under the 'Object' category within the FIELD command dialog. As @tombu has helpfully suggested, field expressions with no dependence on Object IDs may be embedded directly within a template without losing the ability to update the field value. 2 Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.